{%- set votesList = false -%}
{%- if votes is defined and votes == true -%}
    {%- set votesList = true -%}
{%- endif -%}

{%- set commentReplies = false -%}
{%- if replies is defined and replies == true -%}
    {%- set commentReplies = true -%}
{%- endif -%}

{%- set shortPermlink = '' -%}
{%- if votesList != true -%}
    {%- set shortPermlink = comment.author ~ '/' ~ comment.permlink -%}
{%- endif -%}



<div class="comments-single {% if votesList -%}votes-lists{%- else -%}comments-lists{%- endif -%}" {%- if votesList != true -%}id="comment-single-{{- comment.id -}}" data-id="{{- comment.id -}}"{% endif %} data-short-permlink="{{- shortPermlink -}}">
    {%- include 'AppBundle:Comment/Structure:reTitle.html.twig' -%}
    {%- include 'AppBundle:Comment/Structure:avatar.html.twig' with { votesList: votesList } -%}
    {%- include 'AppBundle:Comment/Structure:header.html.twig' with { votesList: votesList } -%}
    {%- include 'AppBundle:Comment/Structure:vote.html.twig' with { votesList: votesList } -%}
    {%- include 'AppBundle:Comment/Structure:content.html.twig' with { votesList: votesList } -%}

    {%- if appRoute == 'app_post' or appRoute == 'user_account_comments'
        or appRoute == 'user_account_replies' or appRoute == 'app_ajax_post_comments'
        or appRoute == 'user_account_ajax_comments_next'  or appRoute == 'user_account_ajax_replies_next'
        or appRoute == 'app_ajax_post_comment_submit'
    -%}
        {%- include 'AppBundle:Comment/Structure:footer.html.twig' with { votesList: votesList } -%}
    {%- endif -%}

    {%- if appRoute == 'app_post' or appRoute == 'app_ajax_post_comments' -%}
        {%- if comment.comments_children > 0 -%}
            <div class="comment-replies">
                {%- for comment in comment.comments_children -%}
                    {%- include 'AppBundle:Comment:index.html.twig' with { replies: true } -%}
                {%- endfor -%}
            </div>
        {%- endif -%}
    {%- endif -%}
</div>